/// <reference types="mongoose" />
import { Model, Document, DocumentQuery } from 'mongoose';
export declare class ServiceUtils {
    private model;
    constructor(model: Model<Document>);
    all(): Promise<Document[]>;
    byId(id: any): Promise<Document>;
    create(data: any): Promise<Document[]>;
    update(id: any, data: any): Promise<any>;
    remove(id: any): Promise<any>;
    createQueryExecutor(queryBuilder: (query: DocumentQuery<any, any>) => DocumentQuery<any, any>): any;
    execFind(queryBuilder: (query: DocumentQuery<any, any>) => DocumentQuery<any, any>, sortBy: string, currentPage: number, perPage: number): Promise<any>;
    execCount(queryBuilder: (query: DocumentQuery<any, any>) => DocumentQuery<any, any>): Promise<any>;
    saveUpdates(updates: any): (entity: any) => any;
    removeEntity(): (entity: any) => any;
}
